## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLParserLiaison Class Reference

`#include <XMLParserLiaison.hpp>`

Inheritance diagram for XMLParserLiaison:

[legend]
List of all members.

## Public Methods

- XMLParserLiaison ()
- virtual ~XMLParserLiaison ()
- virtual void reset ()=0
- virtual ExecutionContext* getExecutionContext () const=0
- virtual MemoryManagerType& getMemoryManager ()=0
- virtual void setExecutionContext (ExecutionContext &theContext)=0
- virtual XalanDocument* parseXMLStream (const InputSourceType &inputSource, const XalanDOMString &identifier)=0
    Parse the text pointed at by the reader as XML, and return a DOM Document interface. More...
- virtual void parseXMLStream (const InputSourceType &inputSource, DocumentHandlerType &handler, const XalanDOMString &identifier)=0
    Parse the text pointed at by the reader as XML. More...
- virtual void destroyDocument (XalanDocument *theDocument)=0
    Destroy the supplied XalanDocument instance. More...
- virtual int getIndent () const=0
    Get the amount to indent when indent-result="yes". More...
- virtual void setIndent (int i)=0
    Set the amount to indent when indent-result="yes". More...
- virtual bool getUseValidation () const=0
    Get whether or not validation will be performed. More...
- virtual void setUseValidation (bool b)=0
    If set to true, validation will be performed. More...
- virtual const XalanDOMString& getParserDescription (XalanDOMString &theResult) const=0
    Return a string suitable for telling the user what parser is being used. More...
- virtual EntityResolverType* getEntityResolver () const=0
    This method returns the installed entity resolver. More...
- virtual void setEntityResolver (EntityResolverType *resolver)=0
    This method installs the user specified entity resolver on the parser. More...
- virtual ErrorHandlerType* getErrorHandler () const=0
    This method returns the installed error handler. More...
- virtual void setErrorHandler (ErrorHandlerType *handler)=0
    This method installs the user-specified error handler. More...

## Constructor & Destructor Documentation

XMLParserLiaison::XMLParserLiaison ( | )

XMLParserLiaison::~XMLParserLiaison ( | )`[virtual]`

## Member Function Documentation

void XMLParserLiaison::destroyDocument ( | XalanDocument * theDocument )`[pure virtual]`

  | Destroy the supplied XalanDocument instance. It must be an instance that was created by a previous call to parseXMLStream(). Parameters:
  theDocument | The XalanDocument instance to destroy.
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

EntityResolverType * XMLParserLiaison::getEntityResolver ( | ) const`[pure virtual]`

| This method returns the installed entity resolver. Returns: The pointer to the installed entity resolver object. Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

ErrorHandlerType * XMLParserLiaison::getErrorHandler ( | ) const`[pure virtual]`

| This method returns the installed error handler. Returns: The pointer to the installed error handler object. Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

ExecutionContext * XMLParserLiaison::getExecutionContext ( | ) const`[pure virtual]`

| Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

int XMLParserLiaison::getIndent ( | ) const`[pure virtual]`

| Get the amount to indent when indent-result="yes". Deprecated: Returns: number of characters to indent Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

MemoryManagerType & XMLParserLiaison::getMemoryManager ( | )`[pure virtual]`

| Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

const XalanDOMString & XMLParserLiaison::getParserDescription ( | XalanDOMString & theResult ) const`[pure virtual]`

| Return a string suitable for telling the user what parser is being used. Returns: string describing parser Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

bool XMLParserLiaison::getUseValidation ( | ) const`[pure virtual]`

| Get whether or not validation will be performed. Validation is off by default. Returns: true to perform validation Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::parseXMLStream ( | const InputSourceType & urlInputSource,
| DocumentHandlerType & handler,
| const XalanDOMString & identifier )`[pure virtual]`

  | Parse the text pointed at by the reader as XML. It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails. Parameters:
  inputSource | input source that should hold valid XML
  handler | instance of a DocumentHandler
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

XalanDocument * XMLParserLiaison::parseXMLStream ( | const InputSourceType & reader,
| const XalanDOMString & identifier )`[pure virtual]`

  | Parse the text pointed at by the reader as XML, and return a DOM Document interface. It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails. The liaison owns the XalanDocument instance, and will delete it when when asked (see DestroyDocument()), or when the liaison is reset, or goes out of scope. Parameters:
  reader | stream that should hold valid XML
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string
Returns: DOM document created Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::reset ( | )`[pure virtual]`

| Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::setEntityResolver ( | EntityResolverType * resolver )`[pure virtual]`

  | This method installs the user specified entity resolver on the parser. It allows applications to trap and redirect calls to external entities. Parameters:
  handler | A pointer to the entity resolver to be called when the parser comes across references to entities in the XML file.
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::setErrorHandler ( | ErrorHandlerType * handler )`[pure virtual]`

  | This method installs the user-specified error handler. Parameters:
  handler | A pointer to the error handler to be called upon error.
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::setExecutionContext ( | ExecutionContext & theContext )`[pure virtual]`

| Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::setIndent ( | int i )`[pure virtual]`

  | Set the amount to indent when indent-result="yes". Deprecated: Parameters:
  i | number of characters to indent
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

void XMLParserLiaison::setUseValidation ( | bool b )`[pure virtual]`

  | If set to true, validation will be performed. Validation is off by default. Parameters:
  b | true to perform validation
Reimplemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

The documentation for this class was generated from the following file:

- XMLParserLiaison.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.